2004-04-20
	
	RELEASE alpha version 0.4.7
	* Added life testing against simulated hardware.
	* Made own package for lib subdirectory
	* Fixed missing include in nvtv.c
	* Allow close before open.

2004-03-08
	
	RELEASE alpha version 0.4.6
	* FreeBSD patch by Samuel Tardieu. (sed instead of expr in configure,
	  opl() and ioperm() compatibility functions for FreeBSD.)
	* Added PCI ids. Changed arch setup in back_nvidia.
	* Moved port permissions to mmio.c (not tested for NetBSD).
	* Debugging messages enabled by option instead of define.
	* Fixed missing getHeadDev dispatch in nvtvd.c
	* Removed Chrontel power settings warning.
	* Added Chrontel-2 modes.
	* Renamed PAL 800x600,640x480 and NTSC 640x480,640x400,720x400 
	  'Large' Chrontel-1 modes to 'Huge' for consistency with Chrontel-2
	* Added some FAQ entries.
	* Start of i865 support.
	* Disable NX support temporarily for release.
	* Fixed excess 1 encoding for i810 registers.
	* Added --list option.
	* Only setup and clamp for TV modes in back_*. 
	* Fixed missing devFlags for ACTION_TVOFF
	* Start of i830/i845/CH2 support.
	* I2C bus for i845.
	* RAISE for messages, -q option for nvtvd, syslog.
	* Fixed Debian boot script FAQ.
	* I2C busses don't use X screen index any longer.
	* Fixed Philips detection bug in tv_common.
	* Use CARD8/16/32 as base types.
	* 3 NX modes; NX is partly working.
	* New CX/TW detection (again). CX is tested, TW will be soon.
	* NetBSD patch by Quentin Garnier
	* Added PCI IDs from 1.0-4363
	* Included PAL-X patch 727924 by Joe Cotroneo (joecotroneo).
	* Start of nx (GeForce4 internal) support (not working yet).
	* Fixed missing head in bnv_updateCrt in back_nvidia.

2003-06-02  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.4.5
	* Changed FBAS and SVHS to COMPOSITE and SVIDEO.
	* Moved nvtvsimple files to own directory, with own configure.
	* Adapted man directory for automake.
	* Changed x_includes to X_CFLAGS in configure.in, to fix 
	  Debian bug 192455.
	* Added nvtvsimple files from Mattias Eriksson.
	* Added automake files. Renamed LICENSE -> COPYING, 
	  main.[ch] -> nvtv.[ch], server.c -> nvtvd.c.
	* Updated xine info in FAQ.
	* Card argument for setup, proper mux setup for Voodoo3.
	* Added another Voodoo3 BT connector status detection.
	* Added PAL-M and NTSC-J converter for Brooktree/Conexant.
	* Added extra bus for I830.
	* Dump for i830 in probeCard.
	* Added CH7009 (Model2) detection and preleminary support.
	* Fixed devMem in nvdump.
	* Check if NV Timer is active before using it.
	* WxWin configure stuff (no WxWin files yet).
	* Fixed missing 'methods' in TvNull.
	* Support NVidia driver 1.0-4349.
	* Special init also for NV17, NV18, NV25, NV30.
	* Refactored identify mapping into card_direct.

2003-03-14  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.4.4
	* Fixed configure/local.h bug for different GTK versions.
	* FAQ update Q 3.5, 2.6, 2.1.
	* Set bit 8 in PRAMDAC 0x8c0 for non-TV head, as driver does.
	* Reset bit 8 in PRAMDAC 0x8c0 on both heads for GF4.
	* Can now write registers with nvdump.
	* Split CH Reg Page, POUTP flag, PCLK_POLARITY now for m/s*,
	  Colorfix for Chrontel, updated USAGE and FAQ.
	* Implemented findByOverscan (no calculation of new modes)
	* Power down flags for Chrontel page.
	* String pool in client to eliminate space leak.
	* Implemented listModes in all backends but client.
	* Updated docs, error messages in back_mswin.
	* Added fallback VESA modelines in data_vesa.
	* PH calc for SAA7104.
	* Implemented split in rest of nvtv.
	* Split tv_ph in tv_ph1_saa7102, tv_ph2_saa7104
	* GetPort, GetRegs in tv_*.c; Fetch, Bypass in GUI.
	* Added forgotten phase_off in tv_bt.c
	* Now compiler under cygwin (command line only). Add back_mswin,
	  back_unix, xf86_ansic.h, config.h.in; changed Makefile and configure;
	  extended role of local.h, removed lots of xfree.h includes.

2003-02-01  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.4.3
	* Fixed settings available flag after setChip in nv/i810/tdfx.
	* Fixed partly pipe transmission of size and spec strings.
	* Refactored error messages in error.h (not complete)
	* Support NVidia driver 1.0-4191 including versioning magic.
	* PH Calc also does overscan and init.
	* Numbered and sorted FAQ entries.
	* Tried to improve NVSetTvHead safeguard.
	* More Philips SAA7104 support.
	* Bugfix in server.c (getHeadDev and getHeads were mixed.)
	* PMR_SCART flag for Chrontel. No RGB mode in Setup yet.
	* More PCI ids. Kernel 4191 versioning warning.
	* Fix in bnv_initHeads, and NVSetTvHead.
	* Bool optionally declared in local.h.
	* Removed null backend references from client backend.
	* NV Delay routine using NV timer (will also work under Windows).
	* Refactored probe and create chain, only include correctly detected
	  chips for TVProbeCreateKnown.
	* New detection method, including TW decoder (tested).
	* FAQ update.
	* Fixed bug in option settings processing.
	* Updated config.sub and config.guess from automake 1.4-p6
	  (Debian Woody)
	* Excluded all X header files and libraries, including configure
	  checks, for -without-x.
	* Split actions.c into X actions and printing actions in print.c
	* Updated doc.
	* Specify encoder bus and address with --chip option.
	* Shared nv/xbox backend, moved iopl to card_direct.c
	* Port page has format, CARD_XBOX, data_xbox.{c,h}
	* PORT_FORMAT and PORT_XBOX, XBox BIOS mode.
	* XBox patch, fp registers, print routine.

2002-11-08  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.4.2
	* BT PAL 768x576 Huge mode, thanks to Henrik Harmsen
	* Generic NV architecture from bootmask.
	* Bugfix: Scan higher numbered I2C busses first, and don't look for
	  opt_tv_chip in gui_device_init if it is TV_NO_CHIP. This will
	  avoid TV encoder chips which are on the EDID channel of a TV
	  card.
	* Now also GTK 2.0 supported (GTK 1.2 still available). Thanks to
	  Adrian Reber
	* Attempt to get GeForce2 Go working.
	* Double scan.
	* Extra CRTC bits for NV11+, NV17+.
	* EnableDVO (may fix GF4 problems).
	* Query command line option. Updated USAGE and manpage.
	* Carrier FreeRun and CFRB,CVBW,ACIV flags for Chrontel. 
	* Chrontel PAL-60 modes (don't work properly).
	* More additions on manpage.
	* Card pci addr option, updated manpage.
	* Bugfix in head_update_cb.
	* Added MMIO RANGE checks for debugging.
	* Bugfix in NVSetVideoPointOut.
	* Updated for NVidia driver structure 1.0-3123.
	* Bugfix in NVInitTvHead.
	* Included Debian manpages into doc/man, and updated them.
	* First attempt of TV only overlay. Doesn't work yet, and unsafe.
	* INSTALL notes about nvdump program.
	* Fixed (hopefully) non-standard X include path issue in configure.

2002-09-12  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.4.1-pre1
	* Moved configure stuff to main dir, included versioning.
	* Server FIFO director configure option.
	* For NV4/5, set data/comp source. This hopefully fixes the pink 
	  strip bug.
	* Port page, test a BT async mode.
	* CONFIG define for GeForce Go cards.
	* Added Chrontel NTSC-J modes (untested).
	* Refactored database for different cards. Added data_tdfx, data_i810.
	* Voodoo3 modes. 
	* 3dfx cleanup, Philips 7104 bugfix. Added gui_tdfx, gui_i810.
	* Removed Distort setting flags, added ColorFix. Philips edge flag.
	* Added philips connector setup and detection.
	* Cleanup in tv_nv
	* Architecture info; init crt 53/54 for NV25
	* Slave Chrontel modes work now; config option in debug.h
	* Split card_direct from back_direct, added nvdump
	* Extended FAQ
	* Added mmio.h, renamed nv_tv to tv_nv
	* Host and encoder ports, first attempt at slave modes
	* Internal: Changed data structures, split gui_nv, data_nv
	* Internal: Encoder object
	* Philips 7104/05 support attempt. FIXME: Guard it
	* Bugfix CX/BT status page.
	* Accelerator to switch X modes.
	* PAL-60 modes.
	* CLists now sort with descending order on second click.
	* NVidia driver structure 1.0-2960 added.

2002-05-23  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.4.0
	* Commandline settings for flags
	* Probe both 0x42 and 0x40 to detect SAA7108/09
	* FAQ changes
	* Bugfix in server/client for heads.
	* Bugfix in server/client, thanks to Salvador Eduardo Tropea
	* Fix to accept changed data structures in newer kernel modules.
	* Conexant settings.
	* Centered Conexant 3:2 modes, thanks to Arne Morten Kvarving.
	* Brooktree/Conexant calc now also does 3:2 clock modes and pixel
	  character clock modes (which seem to work).
	* Conexant timing reset, thanks to Rudolf Cornelissen.
	* Philips macrovision (untested).
	* Brooktree/Conexant CONVERT also for DACB.
	* Dualhead documentation.
	* Different method to disable monitor in non-dualview mode.
	* Philips settings, flc & phres fields, and modes.
	* Dualhead commandline control.
	* Chrontel: NTSC 'No dot crawl', PAL-M, and PAL-N modes.
	* Database 'diff' data specification.
	* Updated overview.txt with new structure.
	* Rearranged GUI.
	* New settings. 
	* Start of 3dfx support.
	* Start of i810 support, including i810 PCI ids.
	* Notebook menu now on left side.
	* Window adjust button. 
	* Secam modes for Conexant.
	* Dualhead support.
	* Conexant 3:2 autoconfig modes. Untested.
	* Settings command-line switches. 
	* Display architecture instead of I/O base.
	* Philips support works with a few more or less stable modes.
	* Split nv_tv into serveral files, renamed common structures.
	* Started special Conexant support.
	* More PCI Ids, including GeForce2Go.
	* Brooktree DVD modes.
	* System probe reimplemented.
	* Both state and regs in nv_tv routines.
	* Special Conexant gui, data, and i2c routines.
	* BT en_async flag.

2002-02-17  Dirk Thierbach <dthierbach@gmx.de>

	* GUI now respects chiptype option.
	* Started Philips chip support.
	
2002-02-11  Dirk Thierbach <dthierbach@gmx.de>
	
	RELEASE alpha version 0.3.0
	* Added bandwidth setting.
	* Major internal structure change, now frontend/backend 
	  architecture.
	* Different switchback to monitor method (reads current crt
	  settings from hardware).
	* SyncStart and SyncEnd affect CRT as in NVidia driver (not as
	  in X 'nv' driver); data tables updated.
	* Rewrote detection code, added detection for Philips and Conexant 
	  chips. Conexant should not go in Brooktree mode.
	* Added -f flicker filter option
	* Added -N option, updated INSTALL and BUGS
	* Rewrote option processing.
	* Client backend, and server.
	* Resized spin buttons based on very rough estimate of font size.
	* Adapt flicker filter to scaler value for Brooktree.	
	* Better sync calculation for Brooktree.
	* Completed Pär Aronsson's special FCSI values (PAL-X).
	* Reordered Chrontel modes.
	
2002-01-17  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.2.3 to CVS
	* For non-root usage, /dev/nv* support
	* Bugfix: sizeof (CardPtr *) in pci.c
	* If already in TV, don't init TV chips, no colorbars.
	* PAL-X Pseudo TV System for corrected FSCI values
	* FAQ update (Riva128 not supported)
	* SuSE 7.2 and Mandrake INSTALL notes.
	* Only write known CRT register values.
	* More checks in configure, flag errors for missing files.
	* Extra Makefile in topdir for tarballs etc.
	* Check for root privileges.
	* Added Roderick Colenbrander's BT 720x480 Normal mode.

2002-01-06  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.2.2 to CVS
	* Added Chrontel DVD modes
	* Accelerator for 'Reset'-buttons
	* Improved commandline switchback to monitor (uses vidmode)
	* Bugfix: Switchback to monitor only now works, thanks to 
	  Roderick Colenbrander
	* Bugfix: Correct FSCI value for 640x480 PAL Tiny (Mode 15)
	* Bugfix: Corrected BT 800x600 PAL Large mode
	* Bugfix: Corrected print_crt_regs
	* Bugfix: HSkew for BT modes
	* Fixed some BT modes
	* Finished Chrontel Macrovision (as far as possible)
	* Reworked Macrovision code
	
2001-12-27  Dirk Thierbach <dthierbach@gmx.de>

	RELEASE alpha version 0.2.1 to CVS
	* Status page for Chrontel 
	* ACIV, CIVH, VBW registers in Chrontel
	* Bugfix: Use twin spinbutton for 32bit values (FSCI and MSC)
	* Bugfix: Bits for pll_n/pll_m in gui_ch
	* Bugfix: init data in main
	* Bugfix: Reset for chip registers
	* Version in about page

2001-12-16  Dirk Thierbach <dthierbach@gmx.de>

	Many changes, including:
	* Chrontel support with all NTSC and PAL modes.
	* Handle all the I2C busses at once; so the 'access' routines are
	  obsolete.
	* Include the tertiary I2C bus in scan.
	* New connector setting to support Brooktree chips with 'simple'
	  S-VHS to composite (FBAS,VHS) connector.
	* Keyboard accelerators now listed and unified.
	* Renamed mode sizes into Tiny/Small/Normal/Large/Huge modes. 
	  Changed Brooktree mode names accordingly.
	* Rework of the 'Settings' page, together with
	* Introduction of the data init/setup/clamp scheme.
	* Added 'about' page.

2001-12-05  Dirk Thierbach <dthierbach@gmx.de>

	* Alpha version 0.10 in CVS.
